Package Details: openocd-git 0.10.0.r1089.g3bfe49266-1

Git Clone URL: https://aur.archlinux.org/openocd-git.git (read-only, click to copy)
Package Base: openocd-git
Description: Debugging, in-system programming and boundary-scan testing for embedded target devices (git version)
Upstream URL: http://openocd.org
Licenses: GPL
Conflicts: openocd
Provides: openocd
Submitter: veox
Maintainer: codyps (AndrevS, mdf)
Last Packager: codyps
Votes: 30
Popularity: 0.000348
First Submitted: 2012-12-30 00:55
Last Updated: 2020-02-26 00:29

Required by (9)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5

nickoe commented on 2012-01-26 19:23

@javsalgar: Yeah, I got the same problem, and I can't seem to find out how to solve. It happens when it tries to run ./bootstrap.

javsalgar commented on 2012-01-26 19:08

Does not compile, this error appears:


src/jtag/drivers/Makefile.am:8: `pkglibdir' is not a legitimate directory for `DATA'
src/jtag/stlink/Makefile.am:8: `pkglibdir' is not a legitimate directory for `DATA'
src/target/Makefile.am:167: `pkglibdir' is not a legitimate directory for `DATA'


Looks like it is an automake problem

unkier commented on 2012-01-22 08:06

add stlink please

nickoe commented on 2011-04-23 22:58

Added --disable-werror and a lot of interfaces.

Anonymous comment on 2011-04-23 14:12

looks like gcc 4.6 throws in lots of Wunused-but-set-variable errors.

nickoe commented on 2011-04-23 13:03

p5ycho: What is the point of --disable-werror? On my x86_64 machine it compiles without.

Where can i see the list of interfaces? I am having a hard time finding them.

Anonymous comment on 2011-04-23 11:24

needs a --disable-werror to compile.
also, please add more interfaces if possible? Take a look at the gentoo package for some inspiration :)

nickoe commented on 2010-12-04 11:31

tcl stuff fixed

lpjhjdh commented on 2010-12-02 03:11

tcl is required to build